package com.huawei.multisimservice;
import com.huawei.multisimservice.model.SimInfo;
import com.huawei.multisimservice.model.IAttachedDeviceMultiSimCallback;

interface IAttachedDeviceMultiSim {

    /**
     *  注册回调方法
     * @param callback  回调方法
     * @return
     */
    void registerCallback(in IAttachedDeviceMultiSimCallback callback);

    /**
     * 去注册回调方法
     * @param callback  回调方法
     * @return
     */
    void unRegisterCallback(in IAttachedDeviceMultiSimCallback callback);

    /**
     * 获取Sim卡信息，服务端回调IAttachedDeviceMultiSimCallback.getAttachedDeviceMultiSimInfo()方法返回Sim卡信息
     * @param
     * @return
     */
    void getAttachedDeviceMultiSimInfo();

    
    /**
     * 下载eSIM Profile请求
     * @param activationCode  ac Code
     * @return
     */
    void downloadESimProfile(String activationCode);

    /**
     * 客户端通知设备一号多卡状态
     * @param multiSIMStatus  一号多卡状态
     * @param MSISDN  msisdn
     * @return
     */
    void multiSimStatusNotify(int multiSIMStatus, String MSISDN);

    /**
     * 删除eSIM Profile请求
     * @param multiSIMStatus  一号多卡状态
     * @param MSISDN  msisdn
     * @return
     */
    void deleteESimProfile(in List<SimInfo> simInfo);
}
