package com.huawei.multisimservice.model;
import java.util.List;
import com.huawei.multisimservice.model.SimInfo;
import com.huawei.multisimservice.model.MultiSimDeviceInfo;

interface IAttachedDeviceMultiSimCallback {

    /**
     * 获取Sim卡信息回调
     * @param server侧返回的DeviceInfo信息
     * @return
     */
    void getAttachedDeviceMultiSimInfo(in MultiSimDeviceInfo deviceInfo);

    /**
     * 设备返回下载状态后，service回调该方法，返回Profile下载结果
     * @param downloadResultCode 下载状态
     * @param simInfoList sim卡profile信息列表
     * @return
     */
    void downloadESimProfile(int downloadResultCode, in List<SimInfo> simInfoList);

    /**
     * 服务端回调该方法，返回Profile删除结果通知
     * @param ES9ResultCode  ES9结果码
     * @return
     */
    void deleteESimProfileNotify(int ES9ResultCode);
}